This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734438 - Entire Dashboard gets blocked if we add a dashboard with column count 0
Entire Dashboard gets blocked if we add a dashboard with column count 0
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
All All
medium Severity urgent (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-08-30 08:05 EDT by Jeeva Kandasamy
Modified: 2013-08-05 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screen shot (15.74 KB, image/jpeg)
2011-08-30 08:05 EDT, Jeeva Kandasamy
no flags Details
GUI exception log (2.78 KB, text/x-log)
2011-08-30 08:06 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-30 08:05:49 EDT
Created attachment 520601 [details]
Screen shot

Description of problem:
Entire Dashboard gets blocked if we add a dashboard with column count 0.
Exception: java.lang.IllegalArgumentException:Invalid number of columns [0]

Version-Release number of selected component (if applicable):
Version: 4.1.1-BETA1
Build Number: 6db75f8
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18

How reproducible:
100%

Steps to Reproduce:
1.Navigate to 'Dashboard'
2.Go to edit mode with existing dashboard or click on new dashboard
3.Remove the column(s) until column count gets 0
4.Save the changes.
5.Navigate to some other menu
6.Navigate back to dashboard, throws 'Globally uncaught exception'
  
Actual results:
throws 'Globally uncaught exception'

Expected results:
Dashboard page should work.

Additional info: Screen shot and GUI error stack are attached.
Comment 1 Jeeva Kandasamy 2011-08-30 08:06:30 EDT
Created attachment 520602 [details]
GUI exception log
Comment 2 Ian Springer 2011-10-24 14:33:28 EDT
We no longer permit the user to set the # of columns on a dashboard to 0 - [master cf754b3].
Comment 3 Mike Foley 2011-10-26 11:01:29 EDT
verified build #640
Comment 4 Mike Foley 2012-02-07 14:23:45 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.